xclade
Admin APIViews

Update View Configuration

Update the view configuration of an entity. An admin user can only update their own configurations.

POST
/admin/views/{entity}/configurations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

entity*string

The entity to update its view configuration (for example, orders).

id*string

The view configuration's ID.

Request Body

application/json

set_active?boolean

Whether the view is set as active.

name?string

The view's name.

is_system_default?boolean

Whether the view is the system default.

configuration?

The view's configuration.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/views/string/configurations/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "view_configuration": {
    "id": "string",
    "entity": "string",
    "name": "string",
    "user_id": "string",
    "is_system_default": true,
    "configuration": {
      "visible_columns": [
        "string"
      ],
      "column_order": [
        "string"
      ],
      "column_widths": {},
      "filters": {},
      "sorting": {
        "id": "string",
        "desc": true
      },
      "search": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}